<?xml version="1.0"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<log4j:configuration>

  <!-- Define the standard file appender. -->
  <appender name="STDLOG" class="org.apache.log4j.RollingFileAppender">
    <param name="File" value="/home/erbo/venice.log"/>
    <param name="Append" value="true"/>
    <param name="MaxFileSize" value="10MB"/>
    <param name="MaxBackupIndex" value="5"/>
    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%d %-5p %c{2} [%t %x] - %m%n"/>
    </layout>
  </appender>

  <!-- Turn down the standard detail in some areas -->
  <category name="com.silverwrist.util.ServletMultipartHandler">
    <priority value="debug"/>
  </category>
  <category name="com.silverwrist.venice.htmlcheck">
    <priority value="fatal"/>
  </category>

  <!-- Define the root configuration for logging. -->
  <root>
    <priority value="debug"/>
    <appender-ref ref="STDLOG"/>
  </root>

</log4j:configuration>




